iPhone Trouble jailbreaking with iPhone 4S

nycmac212

macrumors newbie
Original poster
May 25, 2013
8
0
Hi everyone,

I'm trying to update from 5.0.1 to 6.1.2 on my iPhone 4S, which is currently jailbroken. I'm using a 2008 black Macbook still running 10.5, however whenever I try to update to 6.1.2 using a .ipsw file of the firmware I downloaded, I keep getting an error 3194 message and the update fails. I tried following these steps (http://osxdaily.com/2011/11/03/fix-this-device-isnt-eligible-for-the-requested-build-error-in-itunes-when-updating-ios/) to no avail. Does anyone know what could be wrong and how to fix it and update as I planned to?

Thanks in advance!
 

pod5g

macrumors regular
May 15, 2013
170
0
Hi everyone,

I'm trying to update from 5.0.1 to 6.1.2 on my iPhone 4S, which is currently jailbroken. I'm using a 2008 black Macbook still running 10.5, however whenever I try to update to 6.1.2 using a .ipsw file of the firmware I downloaded, I keep getting an error 3194 message and the update fails. I tried following these steps (http://osxdaily.com/2011/11/03/fix-this-device-isnt-eligible-for-the-requested-build-error-in-itunes-when-updating-ios/) to no avail. Does anyone know what could be wrong and how to fix it and update as I planned to?

Thanks in advance!
You can't. Your only option is to upgrade to 6.1.3, which cannot be jailbroken.
 

Intell

macrumors P6
Jan 24, 2010
18,881
368
Inside
You can only update an iPhone 4S to the currently signed iOS version. In this case, you can only update it to iOS 6.1.3, which is not jailbreakable.
 

nycmac212

macrumors newbie
Original poster
May 25, 2013
8
0
Okay, thanks for the help. Are they working on a jailbreak for 6.1.3, or is it "impossible" at this point?
 

Intell

macrumors P6
Jan 24, 2010
18,881
368
Inside
They are not working on a 6.1.3 jailbreak. The next jailbreak they are targeting it a version of iOS 7.
 

nycmac212

macrumors newbie
Original poster
May 25, 2013
8
0
Well yeah, for both the iOS 7 release and the jailbreak, but primarily just the iOS 7 release. There are apps I want to download but can't because it says they require iOS 6.0 or newer, and it's very annoying because I'm stuck in the 5.x firmware.
 

pod5g

macrumors regular
May 15, 2013
170
0
The untethered JB for iOS 7.x.x on all devices could come as soon as December, or as far as April 2014. Just speculation. Hopefully it comes before that!
 

pod5g

macrumors regular
May 15, 2013
170
0
Unless the OP has SHSH to utilize the re-restore
The iPhone 4S, being an A5 device, cannot use SHSH blobs to downgrade or restore. Only the iPhone 3GS, the iPhone 4, and the iPod touch 4G can use SHSH blobs to downgrade or restore.